Bug 1567640 - abrt-applet dumped core
Summary: abrt-applet dumped core
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-15 17:16 UTC by Łukasz Faber
Modified: 2018-11-30 23:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:00:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Łukasz Faber 2018-04-15 17:16:55 UTC
Description of problem:
Abrt crashes with the following dump in logs:

Process 3987 (abrt-applet) of user 1000 dumped core.
                                                
Stack trace of thread 4019:
#0  0x00007f05d5d27186 _int_malloc (libc.so.6)
#1  0x00007f05d5d28655 _int_realloc (libc.so.6)
#2  0x00007f05d5d298db realloc (libc.so.6)
#3  0x00007f05d60ad420 g_realloc (libglib-2.0.so.0)
#4  0x00007f05d6686a89 g_memory_buffer_write (libgio-2.0.so.0)
#5  0x00007f05d6687370 append_value_to_blob (libgio-2.0.so.0)
#6  0x00007f05d6689a30 g_dbus_message_to_blob (libgio-2.0.so.0)
#7  0x00007f05d667e12c g_dbus_connection_send_message_unlocked (libgio-2.0.so.0)
#8  0x00007f05d667f5a6 g_dbus_connection_send_message_with_reply_unlocked (libgio-2.0.so
#9  0x00007f05d6682602 g_dbus_connection_send_message_with_reply (libgio-2.0.so.0)
#10 0x00007f05d66829ca g_dbus_connection_call_internal (libgio-2.0.so.0)
#11 0x00007f05d6685185 g_dbus_connection_call (libgio-2.0.so.0)
#12 0x00007f05c410430f dconf_gdbus_method_call (libdconfsettings.so)
#13 0x00007f05d60a4577 g_idle_dispatch (libglib-2.0.so.0)
#14 0x00007f05d60a7b77 g_main_context_dispatch (libglib-2.0.so.0)
#15 0x00007f05d60a7f20 g_main_context_iterate.isra.23 (libglib-2.0.so.0)
#16 0x00007f05d60a7fac g_main_context_iteration (libglib-2.0.so.0)
#17 0x00007f05c410442d dconf_gdbus_worker_thread (libdconfsettings.so)
#18 0x00007f05d60cf486 g_thread_proxy (libglib-2.0.so.0)
#19 0x00007f05d3c3a50b start_thread (libpthread.so.0)
#20 0x00007f05d5d9c16f __clone (libc.so.6)

Stack trace of thread 3987:
#0  0x00007f05d5d91c6b __poll (libc.so.6)
#1  0x00007f05d60a7e99 g_main_context_iterate.isra.23 (libglib-2.0.so.0)
#2  0x00007f05d60a8232 g_main_loop_run (libglib-2.0.so.0)
#3  0x00007f05d7e73ca5 gtk_main (libgtk-3.so.0)
#4  0x00005627196ef76c main (abrt-applet)
#5  0x00007f05d5cc7f2a __libc_start_main (libc.so.6)
#6  0x00005627196ef8da _start (abrt-applet)

Stack trace of thread 4011:
#0  0x00007f05d5d91c6b __poll (libc.so.6)
#1  0x00007f05d60a7e99 g_main_context_iterate.isra.23 (libglib-2.0.so.0)
#2  0x00007f05d60a7fac g_main_context_iteration (libglib-2.0.so.0)
#3  0x00007f05d60a7ff1 glib_worker_main (libglib-2.0.so.0)
#4  0x00007f05d60cf486 g_thread_proxy (libglib-2.0.so.0)
#5  0x00007f05d3c3a50b start_thread (libpthread.so.0)
#6  0x00007f05d5d9c16f __clone (libc.so.6)

Stack trace of thread 4012:
#0  0x00007f05d5d91c6b __poll (libc.so.6)
#1  0x00007f05d60a7e99 g_main_context_iterate.isra.23 (libglib-2.0.so.0)
#2  0x00007f05d60a8232 g_main_loop_run (libglib-2.0.so.0)
#3  0x00007f05d6690b56 gdbus_shared_thread_func (libgio-2.0.so.0)
#4  0x00007f05d60cf486 g_thread_proxy (libglib-2.0.so.0)
#5  0x00007f05d3c3a50b start_thread (libpthread.so.0)
#6  0x00007f05d5d9c16f __clone (libc.so.6)


Version-Release number of selected component (if applicable):
2.10.7-1.fc27

How reproducible:
Unfortunately, I am not sure yet. The error happened just after logon.

Steps to Reproduce:
1.
2.
3.

Actual results:
Abrt-applet crashes.

Expected results:
Abrt-applet does not crash.

Additional info:

Comment 1 Ben Cotton 2018-11-27 14:14:31 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 23:00:40 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.